Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class PerformTransactionArguments

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.PerformTransactionArguments

    public class PerformTransactionArguments
    extends GenericArguments

Java class for PerformTransactionArguments complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PerformTransactionArguments">
       <complexContent>
         <extension base="{http://uws.provider.com/}GenericArguments">
           <sequence>
             <element name="amount" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="parameters" type="{http://uws.provider.com/}GenericParam" maxOccurs="unbounded" minOccurs="0"/>
             <element name="serviceId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="transactionId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="transactionTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected long` | `amount` |
  `protected java.util.List<GenericParam>` | `parameters` |
  `protected long` | `serviceId` |
  `protected long` | `transactionId` |
  `protected javax.xml.datatype.XMLGregorianCalendar` | `transactionTime` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `password, username`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PerformTransactionArguments()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getAmount()` | Gets the value of the amount property.
  `java.util.List<GenericParam>` | `getParameters()` | Gets the value of the parameters property.
  `long` | `getServiceId()` | Gets the value of the serviceId property.
  `long` | `getTransactionId()` | Gets the value of the transactionId property.
  `javax.xml.datatype.XMLGregorianCalendar` | `getTransactionTime()` | Gets the value of the transactionTime property.
  `void` | `setAmount​(long value)` | Sets the value of the amount property.
  `void` | `setServiceId​(long value)` | Sets the value of the serviceId property.
  `void` | `setTransactionId​(long value)` | Sets the value of the transactionId property.
  `void` | `setTransactionTime​(javax.xml.datatype.XMLGregorianCalendar value)` | Sets the value of the transactionTime property.

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericArguments

  `getPassword, getUsername, setPassword, setUsername`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### amount

    protected long amount

  - ### parameters

    protected java.util.List<GenericParam> parameters

  - ### serviceId

    protected long serviceId

  - ### transactionId

    protected long transactionId

  - ### transactionTime

    protected javax.xml.datatype.XMLGregorianCalendar transactionTime

- ## Constructor Details

  - ### PerformTransactionArguments

    public PerformTransactionArguments()

- ## Method Details

  - ### getAmount

    public long getAmount()
    Gets the value of the amount property.

  - ### setAmount

    public void setAmount​(long value)
    Sets the value of the amount property.

  - ### getParameters

    public java.util.List<GenericParam> getParameters()
    Gets the value of the parameters property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

    For example, to add a new item, do as follows:

            getParameters().add(newItem);

    Objects of the following type(s) are allowed in the list `GenericParam`

  - ### getServiceId

    public long getServiceId()
    Gets the value of the serviceId property.

  - ### setServiceId

    public void setServiceId​(long value)
    Sets the value of the serviceId property.

  - ### getTransactionId

    public long getTransactionId()
    Gets the value of the transactionId property.

  - ### setTransactionId

    public void setTransactionId​(long value)
    Sets the value of the transactionId property.

  - ### getTransactionTime

    public javax.xml.datatype.XMLGregorianCalendar getTransactionTime()
    Gets the value of the transactionTime property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setTransactionTime

    public void setTransactionTime​(javax.xml.datatype.XMLGregorianCalendar value)
    Sets the value of the transactionTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`